Bug 846857 - [abrt] hamster-applet-2.32.1-1.fc15: hamster-applet:22:<module>:ImportError: No module named gnomeapplet
[abrt] hamster-applet-2.32.1-1.fc15: hamster-applet:22:<module>:ImportError: ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: hamster-applet (Show other bugs)
17
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Mads Villadsen
Fedora Extras Quality Assurance
abrt_hash:83c2210761fc4609a7e6dc4974e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-08 18:42 EDT by S P Arif Sahari Wibowo
Modified: 2013-07-31 23:38 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 716271
Environment:
Last Closed: 2013-07-31 23:38:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description S P Arif Sahari Wibowo 2012-08-08 18:42:31 EDT
My trial:


[...]$ rpm -q --whatprovides system-release
fedora-release-17-1.noarch
[...]$ /usr/lib64/hamster-applet/hamster-applet -w
Traceback (most recent call last):
  File "/usr/lib64/hamster-applet/hamster-applet", line 22, in <module>
    import gtk, gnomeapplet
ImportError: No module named gnomeapplet


+++ This bug was initially created as a clone of Bug #716271 +++

abrt version: 2.0.1
architecture:   x86_64
cmdline:        python /usr/lib64/hamster-applet/hamster-applet -s over
component:      hamster-applet
executable:     /usr/lib64/hamster-applet/hamster-applet
kernel:         2.6.38.6-26.rc1.fc15.x86_64
os_release:     Fedora release 15 (Lovelock)
package:        hamster-applet-2.32.1-1.fc15
reason:         hamster-applet:22:<module>:ImportError: No module named gnomeapplet
time:           Thu Jun 23 12:56:50 2011
uid:            500
username:       nolty

backtrace:
:hamster-applet:22:<module>:ImportError: No module named gnomeapplet
:
:Traceback (most recent call last):
:  File "/usr/lib64/hamster-applet/hamster-applet", line 22, in <module>
:    import gtk, gnomeapplet
:ImportError: No module named gnomeapplet
:
:Local variables in innermost frame:
:__builtins__: <module '__builtin__' (built-in)>
:__file__: '/usr/lib64/hamster-applet/hamster-applet'
:gtk: <module 'gtk' from '/usr/lib64/python2.7/site-packages/gtk-2.0/gtk/__init__.pyc'>
:__package__: None
:GPollableInputStream: <class 'gio.__main__.GPollableInputStream'>
:GInitiallyUnowned: <class 'gtk.__main__.GInitiallyUnowned'>
:__name__: '__main__'
:GPollableOutputStream: <class 'gio.__main__.GPollableOutputStream'>
:__doc__: None

comment:
:Running Fedora 15, with default gnome-shell.
:
:# yum install hamster-applet
:
:In file browser, navigate to /usr/share/applications
:
:Double-click on hamster-applet.desktop

--- Additional comment from moroveno30@hotmail.com on 2011-11-18 11:40:48 EST ---

Package: hamster-applet-2.32.1-1.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
I was just trying to start the program.

--- Additional comment from endoflife@fedoraproject.org on 2012-08-07 13:02:47 EDT ---

This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 1 Fedora End Of Life 2013-07-03 20:11:34 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2013-07-31 23:38:38 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.